package com.multictrl.modules.business.service;

import com.multictrl.modules.business.dto.live.LiveUrl;

import java.util.List;

/**
 * 直播管理
 *
 * @author Sdy
 * @since 1.0.0 2026/4/24
 */
public interface LiveService {

    //开启直播
    String startLive(String dockSn, Integer videoQuality, String videoType);

    //停止直播
    String stopLive(String dockSn, String videoType);

    //机场直播流切换
    String liveCameraChange(String dockSn, Integer cameraPosition);

    //无人机直播镜头切换
    String liveLensChange(String dockSn, String videoType);

    //直播清晰度设置
    String liveSetQuality(String dockSn, Integer videoQuality, String videoType);

    //获取直播地址信息
    List<LiveUrl> getLiveUrl(String dockSn);
}
